#!/bin/bash

#Decode query string

IFS="&"
for QUERY_PARTS in $QUERY_STRING; do
QKEY="`echo $QUERY_PARTS | cut -d '=' -f 1`"
QVAL="`echo $QUERY_PARTS | cut -d '=' -f 2`"
eval "`httpd -d "$QKEY"`=\"`httpd -d "$QVAL"`\""
# remove next line for OpenWrt
eval "$QKEY=\"$QVAL\""
done



# when the page is first opened load the text from pg-default.sh
# the pg-xxxxx.sh page gets strings from the web page like ->
#             index.cgi?page=xxxxxsend&string=HARRY
# or even     index.cgi?page=xxxxxsend&string1=HARRY&string2=MARY
#   (and as many strings as you want)
# so the values of both page and string are sent to this script
# thus if page=xxxxx the script we run will be pg-xxxxx.sh
# and it will have the strings from the web page available to use

# has the variable page been given a value?
if [ -e "pg-$page.sh" ]; then
    inc="./pg-$page.sh"

# if not then show the default text
else
inc="./pg-default.sh"
page="default"
fi

echo "Content-type: text/html"
echo
cat xxxxx.html


echo "<!-- Content goes here -->"
. $inc
echo "<!-- End of content -->"



#you can add shell command line commands here such as-
echo "Server uptime: `cat /proc/uptime | cut -d ' ' -f 1` seconds.<br>"

# now finish the html
echo "<BR></body></html>"

# or finish with a bottom half page xxxxx_bottom.html
# cat xxxxx_bottom.html - put it into /var/www/cgi-bin/xxxxx/
